jQuery(document).ready(function(){
	
	wp.customize.selectiveRefresh.bind( 'partial-content-rendered', function( placement ) {

		var counter_arr = [
		    'econsulting_agency_achievements_list'
		];

		if( jQuery.inArray( placement.partial.id , counter_arr ) !== -1 ){

			/*-----------------------------------------------------------------------------------*/
		    /*  COUNTER UP
		    /*-----------------------------------------------------------------------------------*/
		    jQuery('.school-value').counterUp({
		        delay: 50,
		        time: 1000
		    });
			
		}

		var work_slider_arr = [
		    'econsulting_agency_our_work_list'
		];

		if( jQuery.inArray( placement.partial.id , work_slider_arr ) !== -1 ){
		
			jQuery('.work_slider').slick({
		        infinite: true,
		        slidesToShow: 3,
		        centerPadding:'200px',
		        slidesToScroll: 1,
		        swipeToSlide: true,
		        centerMode: true,
		        arrows: false,
		        dots: true,
		        autoplay: true,
		        touchThreshold:100,
		        loop:true,
		        responsive: [{
		            breakpoint: 1400,
		            settings: {
		                slidesToShow: 2
		            }
		        }, {
		            breakpoint: 1200,
		            settings: {
		                slidesToShow: 1
		            }
		        }, {
		            breakpoint: 850,
		            settings: {
		                slidesToShow: 1,
		                centerPadding:'100px',
		            }
		        }, {
		            breakpoint: 500,
		            settings: {
		                slidesToShow: 1,
		                centerPadding:'0px',
		            }
		        }]
		    });

		}

		var testimonials = [
		    'econsulting_agency_testimonials_list',
		];

		if( jQuery.inArray( placement.partial.id , testimonials ) !== -1 ){

			jQuery('.testi-slider').slick({
		        infinite: true,
		        slidesToShow: 3,
		        slidesToScroll: 1,
		        arrows: false,
		        dots: false,
		        autoplay: true,
		        speed: 1000,
		        rows:0,
		        loop:true,
		        responsive: [{
		            breakpoint: 1000,
		            settings: {
		                slidesToShow: 2
		            }
		        }, {
		            breakpoint: 750,
		            settings: {
		                slidesToShow: 1
		            }
		        }]
		    });

		}

	});

});